Bug 2502 - Deprecated "min password length" honoured
Deprecated "min password length" honoured
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.12
x86 Linux
: P3 normal
: none
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 05:43 UTC by Daniel Beschorner
Modified: 2005-07-14 02:30 UTC (History)
0 users

See Also:


Attachments
Proposed patch (1.39 KB, patch)
2005-07-13 06:35 UTC, Daniel Beschorner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Beschorner 2005-03-21 05:43:02 UTC
IIRC, the domain policy min password length should be honoured instead?!?
We've set it to 3, but Samba complains in the logs about comparing to 5 and 
fails.

Further we are getting a lot of these message pairs since 3.0.12:

[2005/03/21 13:31:43, 1] lib/account_pol.c:account_policy_get(204)
  account_policy_get: tdb_fetch_uint32 failed for field 4 (maximum password age 
(seconds since 1970)), returning 0
[2005/03/21 13:31:43, 1] lib/account_pol.c:account_policy_get(204)
  account_policy_get: tdb_fetch_uint32 failed for field 5 (minimum password age 
(seconds since 1970)), returning 0
[2005/03/21 13:32:03, 1] smbd/service.c:make_connection_snum(642)
Comment 1 Guenther Deschner 2005-04-01 06:46:13 UTC
The second part of your problem (search for non-existing account-policies) is
fixed in Subversion now and will be part of the next Samba-release.

Working on the first part now.
Comment 2 Daniel Beschorner 2005-07-13 06:35:23 UTC
Created attachment 1301 [details]
Proposed patch

check for "min password length" only if AP_MIN_PASSWORD_LEN is not set
Comment 3 Guenther Deschner 2005-07-14 01:01:51 UTC
Fixed in Subversion now. Thanks.
Comment 4 Daniel Beschorner 2005-07-14 02:30:49 UTC
Thanks.